Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Control_Block Class Reference

This information is stored in memory allocated by the <Memory_Pool>. More...

`#include <Malloc.h>`

Collaboration diagram for ACE_Control_Block:

[legend]
List of all members.

## Public Methods
void | dump (void) const
| Dump the state of the object.
## Public Attributes
int | ref_counter_
| Reference counter.
ACE_Name_Node* | name_head_
| Head of the linked list of Name Nodes.
ACE_Malloc_Header* | freep_
| Current head of the freelist.
char | lock_name_ [MAXNAMELEN]
| Name of lock thats ensures mutual exclusion.
long | align_ [ACE_CONTROL_BLOCK_ALIGN_LONGS < 1 ? 1 : ACE_CONTROL_BLOCK_ALIGN_LONGS]
ACE_Malloc_Header | base_
| Dummy node used to anchor the freelist. This needs to come last...
## Static Public Methods
void | print_alignment_info (void)
| Print out a bunch of size info for debugging.

## Detailed Description

This information is stored in memory allocated by the <Memory_Pool>.

This class defines the "old" control block class for use in ACE_Malloc_T. This control block implementation is considerable more efficient than the "position independent" one below (ACE_PI_Control_Block) but if you are going to use it to construct a ACE_Malloc_T and access the memory from several different processes, you must "map" the underlying memory pool to the same address.

## Member Function Documentation

void ACE_Control_Block::dump ( | void ) const

| Dump the state of the object.

void ACE_Control_Block::print_alignment_info ( | void )`[static]`

| Print out a bunch of size info for debugging.

## Member Data Documentation

long ACE_Control_Block::align_[ACE_CONTROL_BLOCK_ALIGN_LONGS< 1?1:ACE_CONTROL_BLOCK_ALIGN_LONGS]

ACE_Malloc_Header ACE_Control_Block::base_

| Dummy node used to anchor the freelist. This needs to come last...

ACE_Malloc_Header * ACE_Control_Block::freep_

| Current head of the freelist.

char ACE_Control_Block::lock_name_[MAXNAMELEN]

| Name of lock thats ensures mutual exclusion.

ACE_Name_Node * ACE_Control_Block::name_head_

| Head of the linked list of Name Nodes.

int ACE_Control_Block::ref_counter_

| Reference counter.

The documentation for this class was generated from the following files:

- Malloc.h
- Malloc.cpp